TTYCONFIG(8)

NAME
ttyconfig - configure Systech tty lines

SYNOPSIS
/usr/etc/ttyconfig
ttyname [-q] [-wiring] [-linetype]

DESCRIPTION
ttyconfig changes configuration attributes associated with ttyname to facilitate use of auto-dial modems on Systech lines for both dial-in and dial-out without requiring changes to the modem switches or cables. See st(4) for the special re-wiring required to use ttyconfig.

The options for -wiring are:

-normal
    Cable wiring is standard.

-special
    This attribute informs the Systech driver that the cable wiring has been modified such that the Systech output RTS (pin 4) is looped back to Systech input DCD (pin 8) and the modem output DCD (pin 8) is connected to Systech input DSR (pin 6). This modification is necessary due to a Systech hardware restriction that disables the USART receiver when DCD (pin 8) is not asserted. See st(4) for more information on how to specially wire the modem to the DYNIX system.

The options for -linetype are:

-carrier
    The behavior of calls to open(2) on ttyname depends on which of the two wiring modes has been selected. In normal mode, calls to open block waiting for DCD (pin 8) to be asserted. When special mode is selected, open blocks waiting for DSR (pin 6) to be asserted. Use the -carrier attribute to enable a login on this line.

-nocarrier
    Calls to open on ttyname always complete immediately. Use this attribute to communicate with an auto-dial modem for programs like tip(1) or uucp(1).

The -q flag prevents ttyconfig from writing completion status to standard output.

To change a specially wired dial-in line to a dial-out line:
	% ed ttys (to disable logins on ttyname)
	% kill -HUP 1
	% ttyconfig ttyname -special -nocarrier
	% chmod 666 ttyname

To change a specially wired dial-out line to a dial-in line:
	% ttyconfig ttyname -special -carrier
	% ed ttys (to enable logins on ttyname)
	% kill -HUP 1

If only one argument is given, no change occurs and the current attributes for ttyname are displayed. It is illegal to specify both the -normal and -nocarrier options. No opens on ttyname are allowed when ttyconfig(8) is invoked. Since this program writes on /dev/kmem, you must run it as the super-user when changing attributes.

SEE ALSO
st(4), tip(1), ttys(5)

BUGS
This program works only for Systech tty lines. Two options must be specified when setting any attributes on the specified line.